Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.encoding
Interface TypeMappingRegistry

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  TypeMappingRegistry

public interface TypeMappingRegistry
extends java.io.Serializable

The interface `javax.xml.rpc.encoding.TypeMappingRegistry` defines a registry of TypeMapping instances for various encoding styles.

Version:
  1.0

Method Summary
`void` | `clear()` Removes all registered TypeMappings and encodingStyleURIs from this TypeMappingRegistry.
`TypeMapping` | `createTypeMapping()` Creates a new empty `TypeMapping` object.
`TypeMapping` | `getDefaultTypeMapping()` Gets the registered default `TypeMapping` instance.
`java.lang.String[]` | `getRegisteredEncodingStyleURIs()` Returns a list of registered encodingStyle URIs in this `TypeMappingRegistry` instance.
`TypeMapping` | `getTypeMapping(java.lang.String encodingStyleURI)` Returns the registered `TypeMapping` for the specified encodingStyle URI.
`TypeMapping` | `register(java.lang.String encodingStyleURI, TypeMapping mapping)` Registers a `TypeMapping` instance with the `TypeMappingRegistry`.
`void` | `registerDefault(TypeMapping mapping)` Registers the `TypeMapping` instance that is default for all encoding styles supported by the `TypeMappingRegistry`.
`boolean` | `removeTypeMapping(TypeMapping mapping)` Removes a `TypeMapping` from the TypeMappingRegistry.
`TypeMapping` | `unregisterTypeMapping(java.lang.String encodingStyleURI)` Unregisters a TypeMapping instance, if present, from the specified encodingStyleURI.

Method Detail

### register

    public TypeMapping register(java.lang.String encodingStyleURI,
                                TypeMapping mapping)

  Registers a `TypeMapping` instance with the `TypeMappingRegistry`. This method replaces any existing registered `TypeMapping` instance for the specified `encodingStyleURI`.
  Parameters:
    `encodingStyleURI` - An encoding style specified as an URI. An example is "http://schemas.xmlsoap.org/soap/encoding/"
    `mapping` - TypeMapping instance
  Returns:
    Previous TypeMapping associated with the specified `encodingStyleURI`, or `null` if there was no TypeMapping associated with the specified `encodingStyleURI`
  Throws:
    `JAXRPCException` - If there is an error in the registration of the `TypeMapping` for the specified `encodingStyleURI`.

### registerDefault

    public void registerDefault(TypeMapping mapping)

  Registers the `TypeMapping` instance that is default for all encoding styles supported by the `TypeMappingRegistry`. A default `TypeMapping` should include serializers and deserializers that are independent of and usable with any encoding style. Successive invocations of the `registerDefault` method replace any existing default `TypeMapping` instance.

  If the default `TypeMapping` is registered, any other TypeMapping instances registered through the `TypeMappingRegistry.register` method (for a set of encodingStyle URIs) override the default `TypeMapping`.

  Parameters:
    `mapping` - TypeMapping instance
  Throws:
    `JAXRPCException` - If there is an error in the registration of the default `TypeMapping`

### getDefaultTypeMapping

    public TypeMapping getDefaultTypeMapping()

  Gets the registered default `TypeMapping` instance. This method returns `null` if there is no registered default TypeMapping in the registry.
  Returns:
    The registered default `TypeMapping` instance or `null`

### getRegisteredEncodingStyleURIs

    public java.lang.String[] getRegisteredEncodingStyleURIs()

  Returns a list of registered encodingStyle URIs in this `TypeMappingRegistry` instance.
  Returns:
    Array of the registered encodingStyle URIs

### getTypeMapping

    public TypeMapping getTypeMapping(java.lang.String encodingStyleURI)

  Returns the registered `TypeMapping` for the specified encodingStyle URI. If there is no registered `TypeMapping` for the specified `encodingStyleURI`, this method returns `null`.
  Parameters:
    `encodingStyleURI` - Encoding style specified as an URI
  Returns:
    TypeMapping for the specified encodingStyleURI or `null`

### createTypeMapping

    public TypeMapping createTypeMapping()

  Creates a new empty `TypeMapping` object.
  Returns:
    TypeMapping instance.

### unregisterTypeMapping

    public TypeMapping unregisterTypeMapping(java.lang.String encodingStyleURI)

  Unregisters a TypeMapping instance, if present, from the specified encodingStyleURI.
  Parameters:
    `encodingStyleURI` - Encoding style specified as an URI
  Returns:
    `TypeMapping` instance that has been unregistered or `null` if there was no TypeMapping registered for the specified `encodingStyleURI`

### removeTypeMapping

    public boolean removeTypeMapping(TypeMapping mapping)

  Removes a `TypeMapping` from the TypeMappingRegistry. A `TypeMapping` is associated with 1 or more encodingStyleURIs. This method unregisters the specified `TypeMapping` instance from all associated `encodingStyleURIs` and then removes this TypeMapping instance from the registry.
  Parameters:
    `mapping` - TypeMapping to remove
  Returns:
    `true` if specified `TypeMapping` is removed from the TypeMappingRegistry; `false` if the specified `TypeMapping` was not in the `TypeMappingRegistry`

### clear

    public void clear()

  Removes all registered TypeMappings and encodingStyleURIs from this TypeMappingRegistry.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.